petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFieldSplitGetDMSplits

Returns flag indicating whether DMCreateFieldDecomposition() should be used to define the splits, whenever possible.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitGetDMSplits(PC pc,PetscBool* flg)

Logically Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -boolean indicating whether to use field splits defined by the DM

### See Also

PCFieldSplitSetDMSplits()

### Level

Intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages